diff --git a/graphics/gpu-firmware-amd-kmod/Makefile b/graphics/gpu-firmware-amd-kmod/Makefile
index 48ec713e6..14cac6ce4 100644
--- a/graphics/gpu-firmware-amd-kmod/Makefile
+++ b/graphics/gpu-firmware-amd-kmod/Makefile
@@ -1,5 +1,5 @@
 PORTNAME=	gpu-firmware-amd-kmod
-PORTVERSION=	20250109
+PORTVERSION=	20250808
 CATEGORIES=	graphics
 
 MAINTAINER=	x11@FreeBSD.org
@@ -16,7 +16,9 @@ ONLY_FOR_ARCHS_REASON=	AMD GPUs are only available on aarch64, x86 and powerpc64
 
 PKGNAMESUFFIX=	-${FLAVOR:C/_/-/g}
 FLAVORS=	aldebaran \
+		aldebaran_ip_discovery \
 		arcturus \
+		arcturus_ip_discovery \
 		banks \
 		beige_goby \
 		bonaire \
@@ -28,8 +30,14 @@ FLAVORS=	aldebaran \
 		dcn_3_2_0 \
 		dcn_3_2_1 \
 		dcn_3_5 \
+		dcn_3_5_1 \
+		dcn_3_6 \
+		dcn_4_0_1 \
+		dimgrey_cavefish \
 		fiji \
 		gc_9_4_3 \
+		gc_9_4_4 \
+		gc_9_5_0 \
 		gc_10_3_6 \
 		gc_10_3_7 \
 		gc_11_0_0 \
@@ -38,16 +46,25 @@ FLAVORS=	aldebaran \
 		gc_11_0_3 \
 		gc_11_0_4 \
 		gc_11_5_0 \
+		gc_11_5_1 \
+		gc_11_5_2 \
+		gc_11_5_3 \
+		gc_12_0_0 \
+		gc_12_0_1 \
+		green_sardine \
 		hainan \
 		hawaii \
+		isp_4_1_1 \
 		kabini \
 		kaveri \
 		mullins \
 		navi10 \
 		navi12 \
 		navi14 \
+		navy_flounder \
 		oland \
 		picasso \
+		picasso_ip_discovery \
 		pitcairn \
 		polaris10 \
 		polaris11 \
@@ -60,9 +77,18 @@ FLAVORS=	aldebaran \
 		psp_13_0_8 \
 		psp_13_0_10 \
 		psp_13_0_11 \
+		psp_13_0_12 \
+		psp_13_0_14 \
 		psp_14_0_0 \
+		psp_14_0_1 \
+		psp_14_0_2 \
+		psp_14_0_3 \
+		psp_14_0_4 \
+		psp_14_0_5 \
 		raven \
+		raven_ip_discovery \
 		raven2 \
+		raven2_ip_discovery \
 		renoir \
 		sdma_4_4_2 \
 		sdma_5_2_6 \
@@ -72,33 +98,47 @@ FLAVORS=	aldebaran \
 		sdma_6_0_2 \
 		sdma_6_0_3 \
 		sdma_6_1_0 \
+		sdma_6_1_1 \
+		sdma_6_1_2 \
+		sdma_6_1_3 \
+		sdma_7_0_0 \
+		sdma_7_0_1 \
 		si58 \
+		sienna_cichlid \
 		smu_13_0_0 \
+		smu_13_0_10 \
 		smu_13_0_6 \
 		smu_13_0_7 \
-		smu_13_0_10 \
+		smu_13_0_14 \
 		smu_14_0_2 \
+		smu_14_0_3 \
 		stoney \
 		tahiti \
 		tonga \
 		topaz \
+		umsch_mm_4_0_0 \
+		vangogh \
 		vcn_3_1_2 \
 		vcn_4_0_0 \
 		vcn_4_0_2 \
 		vcn_4_0_3 \
 		vcn_4_0_4 \
 		vcn_4_0_5 \
+		vcn_4_0_6 \
+		vcn_4_0_6_1 \
+		vcn_5_0_0 \
+		vcn_5_0_1 \
 		vega10 \
+		vega10_ip_discovery \
 		vega12 \
+		vega12_ip_discovery \
 		vega20 \
+		vega20_ip_discovery \
 		vegam \
 		verde \
 		vpe_6_1_0 \
-		dimgrey_cavefish \
-		green_sardine \
-		navy_flounder \
-		sienna_cichlid \
-		vangogh \
+		vpe_6_1_1 \
+		vpe_6_1_3 \
 		yellow_carp
 
 USES=		kmod uidfix
@@ -106,7 +146,7 @@ USES=		kmod uidfix
 USE_GITHUB=	yes
 GH_ACCOUNT=	freebsd
 GH_PROJECT=	drm-kmod-firmware
-GH_TAGNAME=	20250109
+GH_TAGNAME=	20250808_2
 
 MAKE_ENV=	KMODS="amdgpukmsfw"
 MAKE_ENV+=	AMDGPUKMODS="${FLAVOR}"
diff --git a/graphics/gpu-firmware-amd-kmod/distinfo b/graphics/gpu-firmware-amd-kmod/distinfo
index 69a92c21b..c75db25c3 100644
--- a/graphics/gpu-firmware-amd-kmod/distinfo
+++ b/graphics/gpu-firmware-amd-kmod/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1765464984
-SHA256 (freebsd-drm-kmod-firmware-20250109_GH0.tar.gz) = b204a6bbc44e537cf74d84a025a3634833e86a0f28cedf1ae216257039414229
-SIZE (freebsd-drm-kmod-firmware-20250109_GH0.tar.gz) = 40111427
+TIMESTAMP = 1779876979
+SHA256 (freebsd-drm-kmod-firmware-20250808-20250808_2_GH0.tar.gz) = df6e6dfd876c1d51430b9e26bd8543ca724d2f8eeb38a58a49a139df145c48ec
+SIZE (freebsd-drm-kmod-firmware-20250808-20250808_2_GH0.tar.gz) = 48601453
diff --git a/graphics/gpu-firmware-amd-kmod/pkg-plist b/graphics/gpu-firmware-amd-kmod/pkg-plist
index be5150429..af2c49a09 100644
--- a/graphics/gpu-firmware-amd-kmod/pkg-plist
+++ b/graphics/gpu-firmware-amd-kmod/pkg-plist
@@ -8,6 +8,7 @@
 %%ARCTURUS%%/%%KMODDIR%%/amdgpu_arcturus_sos_bin.ko
 %%ARCTURUS%%/%%KMODDIR%%/amdgpu_arcturus_ta_bin.ko
 %%ARCTURUS%%/%%KMODDIR%%/amdgpu_arcturus_vcn_bin.ko
+%%ARCTURUS_IP_DISCOVERY%%/%%KMODDIR%%/amdgpu_arcturus_ip_discovery_bin.ko
 %%ALDEBARAN%%/%%KMODDIR%%/amdgpu_aldebaran_mec2_bin.ko
 %%ALDEBARAN%%/%%KMODDIR%%/amdgpu_aldebaran_mec_bin.ko
 %%ALDEBARAN%%/%%KMODDIR%%/amdgpu_aldebaran_rlc_bin.ko
@@ -18,6 +19,7 @@
 %%ALDEBARAN%%/%%KMODDIR%%/amdgpu_aldebaran_sos_bin.ko
 %%ALDEBARAN%%/%%KMODDIR%%/amdgpu_aldebaran_ta_bin.ko
 %%ALDEBARAN%%/%%KMODDIR%%/amdgpu_aldebaran_vcn_bin.ko
+%%ALDEBARAN_IP_DISCOVERY%%/%%KMODDIR%%/amdgpu_aldebaran_ip_discovery_bin.ko
 %%BANKS%%/%%KMODDIR%%/amdgpu_banks_k_2_smc_bin.ko
 %%BEIGE_GOBY%%/%%KMODDIR%%/amdgpu_beige_goby_ce_bin.ko
 %%BEIGE_GOBY%%/%%KMODDIR%%/amdgpu_beige_goby_dmcub_bin.ko
@@ -67,6 +69,9 @@
 %%DCN_3_2_0%%/%%KMODDIR%%/amdgpu_dcn_3_2_0_dmcub_bin.ko
 %%DCN_3_2_1%%/%%KMODDIR%%/amdgpu_dcn_3_2_1_dmcub_bin.ko
 %%DCN_3_5%%/%%KMODDIR%%/amdgpu_dcn_3_5_dmcub_bin.ko
+%%DCN_3_5_1%%/%%KMODDIR%%/amdgpu_dcn_3_5_1_dmcub_bin.ko
+%%DCN_3_6%%/%%KMODDIR%%/amdgpu_dcn_3_6_dmcub_bin.ko
+%%DCN_4_0_1%%/%%KMODDIR%%/amdgpu_dcn_4_0_1_dmcub_bin.ko
 %%FIJI%%/%%KMODDIR%%/amdgpu_fiji_ce_bin.ko
 %%FIJI%%/%%KMODDIR%%/amdgpu_fiji_mc_bin.ko
 %%FIJI%%/%%KMODDIR%%/amdgpu_fiji_me_bin.ko
@@ -81,6 +86,13 @@
 %%FIJI%%/%%KMODDIR%%/amdgpu_fiji_vce_bin.ko
 %%GC_9_4_3%%/%%KMODDIR%%/amdgpu_gc_9_4_3_mec_bin.ko
 %%GC_9_4_3%%/%%KMODDIR%%/amdgpu_gc_9_4_3_rlc_bin.ko
+%%GC_9_4_3%%/%%KMODDIR%%/amdgpu_gc_9_4_3_sjt_mec_bin.ko
+%%GC_9_4_4%%/%%KMODDIR%%/amdgpu_gc_9_4_4_rlc_bin.ko
+%%GC_9_4_4%%/%%KMODDIR%%/amdgpu_gc_9_4_4_mec_bin.ko
+%%GC_9_4_4%%/%%KMODDIR%%/amdgpu_gc_9_4_4_sjt_mec_bin.ko
+%%GC_9_5_0%%/%%KMODDIR%%/amdgpu_gc_9_5_0_mec_bin.ko
+%%GC_9_5_0%%/%%KMODDIR%%/amdgpu_gc_9_5_0_rlc_bin.ko
+%%GC_9_5_0%%/%%KMODDIR%%/amdgpu_gc_9_5_0_sjt_mec_bin.ko
 %%GC_10_3_6%%/%%KMODDIR%%/amdgpu_gc_10_3_6_ce_bin.ko
 %%GC_10_3_6%%/%%KMODDIR%%/amdgpu_gc_10_3_6_me_bin.ko
 %%GC_10_3_6%%/%%KMODDIR%%/amdgpu_gc_10_3_6_mec_bin.ko
@@ -101,6 +113,9 @@
 %%GC_11_0_0%%/%%KMODDIR%%/amdgpu_gc_11_0_0_mes_2_bin.ko
 %%GC_11_0_0%%/%%KMODDIR%%/amdgpu_gc_11_0_0_pfp_bin.ko
 %%GC_11_0_0%%/%%KMODDIR%%/amdgpu_gc_11_0_0_rlc_bin.ko
+%%GC_11_0_0%%/%%KMODDIR%%/amdgpu_gc_11_0_0_imu_kicker_bin.ko
+%%GC_11_0_0%%/%%KMODDIR%%/amdgpu_gc_11_0_0_rlc_1_bin.ko
+%%GC_11_0_0%%/%%KMODDIR%%/amdgpu_gc_11_0_0_rlc_kicker_bin.ko
 %%GC_11_0_1%%/%%KMODDIR%%/amdgpu_gc_11_0_1_imu_bin.ko
 %%GC_11_0_1%%/%%KMODDIR%%/amdgpu_gc_11_0_1_me_bin.ko
 %%GC_11_0_1%%/%%KMODDIR%%/amdgpu_gc_11_0_1_mec_bin.ko
@@ -139,6 +154,45 @@
 %%GC_11_5_0%%/%%KMODDIR%%/amdgpu_gc_11_5_0_mes_2_bin.ko
 %%GC_11_5_0%%/%%KMODDIR%%/amdgpu_gc_11_5_0_pfp_bin.ko
 %%GC_11_5_0%%/%%KMODDIR%%/amdgpu_gc_11_5_0_rlc_bin.ko
+%%GC_11_5_1%%/%%KMODDIR%%/amdgpu_gc_11_5_1_imu_bin.ko
+%%GC_11_5_1%%/%%KMODDIR%%/amdgpu_gc_11_5_1_me_bin.ko
+%%GC_11_5_1%%/%%KMODDIR%%/amdgpu_gc_11_5_1_mec_bin.ko
+%%GC_11_5_1%%/%%KMODDIR%%/amdgpu_gc_11_5_1_mes1_bin.ko
+%%GC_11_5_1%%/%%KMODDIR%%/amdgpu_gc_11_5_1_mes_2_bin.ko
+%%GC_11_5_1%%/%%KMODDIR%%/amdgpu_gc_11_5_1_pfp_bin.ko
+%%GC_11_5_1%%/%%KMODDIR%%/amdgpu_gc_11_5_1_rlc_bin.ko
+%%GC_11_5_2%%/%%KMODDIR%%/amdgpu_gc_11_5_2_imu_bin.ko
+%%GC_11_5_2%%/%%KMODDIR%%/amdgpu_gc_11_5_2_me_bin.ko
+%%GC_11_5_2%%/%%KMODDIR%%/amdgpu_gc_11_5_2_mec_bin.ko
+%%GC_11_5_2%%/%%KMODDIR%%/amdgpu_gc_11_5_2_mes1_bin.ko
+%%GC_11_5_2%%/%%KMODDIR%%/amdgpu_gc_11_5_2_mes_2_bin.ko
+%%GC_11_5_2%%/%%KMODDIR%%/amdgpu_gc_11_5_2_pfp_bin.ko
+%%GC_11_5_2%%/%%KMODDIR%%/amdgpu_gc_11_5_2_rlc_bin.ko
+%%GC_11_5_3%%/%%KMODDIR%%/amdgpu_gc_11_5_3_imu_bin.ko
+%%GC_11_5_3%%/%%KMODDIR%%/amdgpu_gc_11_5_3_me_bin.ko
+%%GC_11_5_3%%/%%KMODDIR%%/amdgpu_gc_11_5_3_mec_bin.ko
+%%GC_11_5_3%%/%%KMODDIR%%/amdgpu_gc_11_5_3_mes1_bin.ko
+%%GC_11_5_3%%/%%KMODDIR%%/amdgpu_gc_11_5_3_mes_2_bin.ko
+%%GC_11_5_3%%/%%KMODDIR%%/amdgpu_gc_11_5_3_pfp_bin.ko
+%%GC_11_5_3%%/%%KMODDIR%%/amdgpu_gc_11_5_3_rlc_bin.ko
+%%GC_12_0_0%%/%%KMODDIR%%/amdgpu_gc_12_0_0_imu_bin.ko
+%%GC_12_0_0%%/%%KMODDIR%%/amdgpu_gc_12_0_0_me_bin.ko
+%%GC_12_0_0%%/%%KMODDIR%%/amdgpu_gc_12_0_0_mec_bin.ko
+%%GC_12_0_0%%/%%KMODDIR%%/amdgpu_gc_12_0_0_mes1_bin.ko
+%%GC_12_0_0%%/%%KMODDIR%%/amdgpu_gc_12_0_0_mes_bin.ko
+%%GC_12_0_0%%/%%KMODDIR%%/amdgpu_gc_12_0_0_pfp_bin.ko
+%%GC_12_0_0%%/%%KMODDIR%%/amdgpu_gc_12_0_0_rlc_bin.ko
+%%GC_12_0_0%%/%%KMODDIR%%/amdgpu_gc_12_0_0_toc_bin.ko
+%%GC_12_0_0%%/%%KMODDIR%%/amdgpu_gc_12_0_0_uni_mes_bin.ko
+%%GC_12_0_1%%/%%KMODDIR%%/amdgpu_gc_12_0_1_imu_bin.ko
+%%GC_12_0_1%%/%%KMODDIR%%/amdgpu_gc_12_0_1_me_bin.ko
+%%GC_12_0_1%%/%%KMODDIR%%/amdgpu_gc_12_0_1_mec_bin.ko
+%%GC_12_0_1%%/%%KMODDIR%%/amdgpu_gc_12_0_1_mes1_bin.ko
+%%GC_12_0_1%%/%%KMODDIR%%/amdgpu_gc_12_0_1_mes_bin.ko
+%%GC_12_0_1%%/%%KMODDIR%%/amdgpu_gc_12_0_1_pfp_bin.ko
+%%GC_12_0_1%%/%%KMODDIR%%/amdgpu_gc_12_0_1_rlc_bin.ko
+%%GC_12_0_1%%/%%KMODDIR%%/amdgpu_gc_12_0_1_toc_bin.ko
+%%GC_12_0_1%%/%%KMODDIR%%/amdgpu_gc_12_0_1_uni_mes_bin.ko
 %%HAINAN%%/%%KMODDIR%%/amdgpu_hainan_ce_bin.ko
 %%HAINAN%%/%%KMODDIR%%/amdgpu_hainan_k_smc_bin.ko
 %%HAINAN%%/%%KMODDIR%%/amdgpu_hainan_mc_bin.ko
@@ -158,6 +212,7 @@
 %%HAWAII%%/%%KMODDIR%%/amdgpu_hawaii_smc_bin.ko
 %%HAWAII%%/%%KMODDIR%%/amdgpu_hawaii_uvd_bin.ko
 %%HAWAII%%/%%KMODDIR%%/amdgpu_hawaii_vce_bin.ko
+%%ISP_4_1_1%%/%%KMODDIR%%/amdgpu_isp_4_1_1_bin.ko
 %%KABINI%%/%%KMODDIR%%/amdgpu_kabini_ce_bin.ko
 %%KABINI%%/%%KMODDIR%%/amdgpu_kabini_me_bin.ko
 %%KABINI%%/%%KMODDIR%%/amdgpu_kabini_mec_bin.ko
@@ -254,6 +309,7 @@
 %%PICASSO%%/%%KMODDIR%%/amdgpu_picasso_sdma_bin.ko
 %%PICASSO%%/%%KMODDIR%%/amdgpu_picasso_ta_bin.ko
 %%PICASSO%%/%%KMODDIR%%/amdgpu_picasso_vcn_bin.ko
+%%PICASSO_IP_DISCOVERY%%/%%KMODDIR%%/amdgpu_picasso_ip_discovery_bin.ko
 %%PITCAIRN%%/%%KMODDIR%%/amdgpu_pitcairn_ce_bin.ko
 %%PITCAIRN%%/%%KMODDIR%%/amdgpu_pitcairn_k_smc_bin.ko
 %%PITCAIRN%%/%%KMODDIR%%/amdgpu_pitcairn_mc_bin.ko
@@ -326,6 +382,8 @@
 %%POLARIS12%%/%%KMODDIR%%/amdgpu_polaris12_vce_bin.ko
 %%PSP_13_0_0%%/%%KMODDIR%%/amdgpu_psp_13_0_0_sos_bin.ko
 %%PSP_13_0_0%%/%%KMODDIR%%/amdgpu_psp_13_0_0_ta_bin.ko
+%%PSP_13_0_0%%/%%KMODDIR%%/amdgpu_psp_13_0_0_sos_kicker_bin.ko
+%%PSP_13_0_0%%/%%KMODDIR%%/amdgpu_psp_13_0_0_ta_kicker_bin.ko
 %%PSP_13_0_4%%/%%KMODDIR%%/amdgpu_psp_13_0_4_ta_bin.ko
 %%PSP_13_0_4%%/%%KMODDIR%%/amdgpu_psp_13_0_4_toc_bin.ko
 %%PSP_13_0_5%%/%%KMODDIR%%/amdgpu_psp_13_0_5_asd_bin.ko
@@ -342,8 +400,22 @@
 %%PSP_13_0_10%%/%%KMODDIR%%/amdgpu_psp_13_0_10_ta_bin.ko
 %%PSP_13_0_11%%/%%KMODDIR%%/amdgpu_psp_13_0_11_ta_bin.ko
 %%PSP_13_0_11%%/%%KMODDIR%%/amdgpu_psp_13_0_11_toc_bin.ko
+%%PSP_13_0_12%%/%%KMODDIR%%/amdgpu_psp_13_0_12_sos_bin.ko
+%%PSP_13_0_12%%/%%KMODDIR%%/amdgpu_psp_13_0_12_ta_bin.ko
+%%PSP_13_0_14%%/%%KMODDIR%%/amdgpu_psp_13_0_14_sos_bin.ko
+%%PSP_13_0_14%%/%%KMODDIR%%/amdgpu_psp_13_0_14_ta_bin.ko
 %%PSP_14_0_0%%/%%KMODDIR%%/amdgpu_psp_14_0_0_ta_bin.ko
 %%PSP_14_0_0%%/%%KMODDIR%%/amdgpu_psp_14_0_0_toc_bin.ko
+%%PSP_14_0_1%%/%%KMODDIR%%/amdgpu_psp_14_0_1_ta_bin.ko
+%%PSP_14_0_1%%/%%KMODDIR%%/amdgpu_psp_14_0_1_toc_bin.ko
+%%PSP_14_0_2%%/%%KMODDIR%%/amdgpu_psp_14_0_2_sos_bin.ko
+%%PSP_14_0_2%%/%%KMODDIR%%/amdgpu_psp_14_0_2_ta_bin.ko
+%%PSP_14_0_3%%/%%KMODDIR%%/amdgpu_psp_14_0_3_sos_bin.ko
+%%PSP_14_0_3%%/%%KMODDIR%%/amdgpu_psp_14_0_3_ta_bin.ko
+%%PSP_14_0_4%%/%%KMODDIR%%/amdgpu_psp_14_0_4_ta_bin.ko
+%%PSP_14_0_4%%/%%KMODDIR%%/amdgpu_psp_14_0_4_toc_bin.ko
+%%PSP_14_0_5%%/%%KMODDIR%%/amdgpu_psp_14_0_5_ta_bin.ko
+%%PSP_14_0_5%%/%%KMODDIR%%/amdgpu_psp_14_0_5_toc_bin.ko
 %%RAVEN2%%/%%KMODDIR%%/amdgpu_raven2_asd_bin.ko
 %%RAVEN2%%/%%KMODDIR%%/amdgpu_raven2_ce_bin.ko
 %%RAVEN2%%/%%KMODDIR%%/amdgpu_raven2_gpu_info_bin.ko
@@ -355,6 +427,7 @@
 %%RAVEN2%%/%%KMODDIR%%/amdgpu_raven2_sdma_bin.ko
 %%RAVEN2%%/%%KMODDIR%%/amdgpu_raven2_ta_bin.ko
 %%RAVEN2%%/%%KMODDIR%%/amdgpu_raven2_vcn_bin.ko
+%%RAVEN2_IP_DISCOVERY%%/%%KMODDIR%%/amdgpu_raven2_ip_discovery_bin.ko
 %%RAVEN%%/%%KMODDIR%%/amdgpu_raven_asd_bin.ko
 %%RAVEN%%/%%KMODDIR%%/amdgpu_raven_ce_bin.ko
 %%RAVEN%%/%%KMODDIR%%/amdgpu_raven_dmcu_bin.ko
@@ -368,6 +441,7 @@
 %%RAVEN%%/%%KMODDIR%%/amdgpu_raven_sdma_bin.ko
 %%RAVEN%%/%%KMODDIR%%/amdgpu_raven_ta_bin.ko
 %%RAVEN%%/%%KMODDIR%%/amdgpu_raven_vcn_bin.ko
+%%RAVEN_IP_DISCOVERY%%/%%KMODDIR%%/amdgpu_raven_ip_discovery_bin.ko
 %%RENOIR%%/%%KMODDIR%%/amdgpu_renoir_asd_bin.ko
 %%RENOIR%%/%%KMODDIR%%/amdgpu_renoir_ce_bin.ko
 %%RENOIR%%/%%KMODDIR%%/amdgpu_renoir_dmcub_bin.ko
@@ -388,11 +462,19 @@
 %%SDMA_6_0_2%%/%%KMODDIR%%/amdgpu_sdma_6_0_2_bin.ko
 %%SDMA_6_0_3%%/%%KMODDIR%%/amdgpu_sdma_6_0_3_bin.ko
 %%SDMA_6_1_0%%/%%KMODDIR%%/amdgpu_sdma_6_1_0_bin.ko
+%%SDMA_6_1_1%%/%%KMODDIR%%/amdgpu_sdma_6_1_1_bin.ko
+%%SDMA_6_1_2%%/%%KMODDIR%%/amdgpu_sdma_6_1_2_bin.ko
+%%SDMA_6_1_3%%/%%KMODDIR%%/amdgpu_sdma_6_1_3_bin.ko
+%%SDMA_7_0_0%%/%%KMODDIR%%/amdgpu_sdma_7_0_0_bin.ko
+%%SDMA_7_0_1%%/%%KMODDIR%%/amdgpu_sdma_7_0_1_bin.ko
 %%SMU_13_0_0%%/%%KMODDIR%%/amdgpu_smu_13_0_0_bin.ko
+%%SMU_13_0_0%%/%%KMODDIR%%/amdgpu_smu_13_0_0_kicker_bin.ko
 %%SMU_13_0_6%%/%%KMODDIR%%/amdgpu_smu_13_0_6_bin.ko
 %%SMU_13_0_7%%/%%KMODDIR%%/amdgpu_smu_13_0_7_bin.ko
 %%SMU_13_0_10%%/%%KMODDIR%%/amdgpu_smu_13_0_10_bin.ko
+%%SMU_13_0_14%%/%%KMODDIR%%/amdgpu_smu_13_0_14_bin.ko
 %%SMU_14_0_2%%/%%KMODDIR%%/amdgpu_smu_14_0_2_bin.ko
+%%SMU_14_0_3%%/%%KMODDIR%%/amdgpu_smu_14_0_3_bin.ko
 %%SI58%%/%%KMODDIR%%/amdgpu_si58_mc_bin.ko
 %%STONEY%%/%%KMODDIR%%/amdgpu_stoney_ce_bin.ko
 %%STONEY%%/%%KMODDIR%%/amdgpu_stoney_me_bin.ko
@@ -434,11 +516,17 @@
 %%TOPAZ%%/%%KMODDIR%%/amdgpu_topaz_sdma1_bin.ko
 %%TOPAZ%%/%%KMODDIR%%/amdgpu_topaz_sdma_bin.ko
 %%TOPAZ%%/%%KMODDIR%%/amdgpu_topaz_smc_bin.ko
+%%UMSCH_MM_4_0_0%%/%%KMODDIR%%/amdgpu_umsch_mm_4_0_0_bin.ko
 %%VCN_3_1_2%%/%%KMODDIR%%/amdgpu_vcn_3_1_2_bin.ko
 %%VCN_4_0_0%%/%%KMODDIR%%/amdgpu_vcn_4_0_0_bin.ko
 %%VCN_4_0_2%%/%%KMODDIR%%/amdgpu_vcn_4_0_2_bin.ko
+%%VCN_4_0_3%%/%%KMODDIR%%/amdgpu_vcn_4_0_3_bin.ko
 %%VCN_4_0_4%%/%%KMODDIR%%/amdgpu_vcn_4_0_4_bin.ko
 %%VCN_4_0_5%%/%%KMODDIR%%/amdgpu_vcn_4_0_5_bin.ko
+%%VCN_4_0_6%%/%%KMODDIR%%/amdgpu_vcn_4_0_6_bin.ko
+%%VCN_4_0_6_1%%/%%KMODDIR%%/amdgpu_vcn_4_0_6_1_bin.ko
+%%VCN_5_0_0%%/%%KMODDIR%%/amdgpu_vcn_5_0_0_bin.ko
+%%VCN_5_0_1%%/%%KMODDIR%%/amdgpu_vcn_5_0_1_bin.ko
 %%VEGA10%%/%%KMODDIR%%/amdgpu_vega10_acg_smc_bin.ko
 %%VEGA10%%/%%KMODDIR%%/amdgpu_vega10_asd_bin.ko
 %%VEGA10%%/%%KMODDIR%%/amdgpu_vega10_ce_bin.ko
@@ -454,6 +542,7 @@
 %%VEGA10%%/%%KMODDIR%%/amdgpu_vega10_sos_bin.ko
 %%VEGA10%%/%%KMODDIR%%/amdgpu_vega10_uvd_bin.ko
 %%VEGA10%%/%%KMODDIR%%/amdgpu_vega10_vce_bin.ko
+%%VEGA10_IP_DISCOVERY%%/%%KMODDIR%%/amdgpu_vega10_ip_discovery_bin.ko
 %%VEGA12%%/%%KMODDIR%%/amdgpu_vega12_asd_bin.ko
 %%VEGA12%%/%%KMODDIR%%/amdgpu_vega12_ce_bin.ko
 %%VEGA12%%/%%KMODDIR%%/amdgpu_vega12_gpu_info_bin.ko
@@ -482,6 +571,7 @@
 %%VEGA20%%/%%KMODDIR%%/amdgpu_vega20_ta_bin.ko
 %%VEGA20%%/%%KMODDIR%%/amdgpu_vega20_uvd_bin.ko
 %%VEGA20%%/%%KMODDIR%%/amdgpu_vega20_vce_bin.ko
+%%VEGA20_IP_DISCOVERY%%/%%KMODDIR%%/amdgpu_vega20_ip_discovery_bin.ko
 %%VEGAM%%/%%KMODDIR%%/amdgpu_vegam_ce_bin.ko
 %%VEGAM%%/%%KMODDIR%%/amdgpu_vegam_me_bin.ko
 %%VEGAM%%/%%KMODDIR%%/amdgpu_vegam_mec2_bin.ko
@@ -502,6 +592,8 @@
 %%VERDE%%/%%KMODDIR%%/amdgpu_verde_smc_bin.ko
 %%VERDE%%/%%KMODDIR%%/amdgpu_verde_uvd_bin.ko
 %%VPE_6_1_0%%/%%KMODDIR%%/amdgpu_vpe_6_1_0_bin.ko
+%%VPE_6_1_1%%/%%KMODDIR%%/amdgpu_vpe_6_1_1_bin.ko
+%%VPE_6_1_3%%/%%KMODDIR%%/amdgpu_vpe_6_1_3_bin.ko
 %%DIMGREY_CAVEFISH%%/%%KMODDIR%%/amdgpu_dimgrey_cavefish_ce_bin.ko
 %%DIMGREY_CAVEFISH%%/%%KMODDIR%%/amdgpu_dimgrey_cavefish_dmcub_bin.ko
 %%DIMGREY_CAVEFISH%%/%%KMODDIR%%/amdgpu_dimgrey_cavefish_me_bin.ko
